Skip to main content

Application Dashboard Actions

https://api.app.wnology.io/applications/APPLICATION_ID/dashboards/DASHBOARD_ID

Below are the various requests that can be performed against the Application Dashboard resource, as well as the expected parameters and the potential responses.

Delete​

Deletes a dashboard

Method And Url​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/dashboards/DASHBOARD_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, applicationDashboard.*, or applicationDashboard.delete.

Request Path Components​

Path ComponentDescriptionExample
DASHBOARD_IDID of the associated dashboard575ece2b7ae143cd83dc4a9b
APPLICATION_IDID of the associated application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/dashboards/DASHBOARD_ID

Successful Responses​

CodeTypeDescription
200SuccessIf dashboard was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if dashboard was not found

Get​

Retrieves information on a dashboard

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/dashboards/DASHBOARD_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, applicationDashboard.*, or applicationDashboard.get.

Request Path Components​

Path ComponentDescriptionExample
DASHBOARD_IDID of the associated dashboard575ece2b7ae143cd83dc4a9b
APPLICATION_IDID of the associated application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/dashboards/DASHBOARD_ID

Successful Responses​

CodeTypeDescription
200DashboardDashboard information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if dashboard was not found

Patch​

Updates information about a dashboard

Method And Url​

PATCH https://api.app.wnology.io/applications/APPLICATION_ID/dashboards/DASHBOARD_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, applicationDashboard.*, or applicationDashboard.patch.

Request Path Components​

Path ComponentDescriptionExample
DASHBOARD_IDID of the associated dashboard575ece2b7ae143cd83dc4a9b
APPLICATION_IDID of the associated application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Dashboard Patch schema. For example, the following would be a valid body for this request:

{
"name": "My Updated Dashboard",
"description": "Description of my updated dashboard",
"refreshRate": 300,
"public": true
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"name":"My Updated Dashboard","description":"Description of my updated dashboard","refreshRate":300,"public":true}' \
https://api.app.wnology.io/applications/APPLICATION_ID/dashboards/DASHBOARD_ID

Successful Responses​

CodeTypeDescription
200DashboardUpdate dashboard information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if dashboard was not found

Send Report​

Sends a snapshot of a dashboard

Method And Url​

POST https://api.app.wnology.io/applications/APPLICATION_ID/dashboards/DASHBOARD_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, applicationDashboard.*, or applicationDashboard.sendReport.

Request Path Components​

Path ComponentDescriptionExample
DASHBOARD_IDID of the associated dashboard575ece2b7ae143cd83dc4a9b
APPLICATION_IDID of the associated application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Dashboard Send Report schema. For example, the following would be a valid body for this request:

{
"toEmail": [
"email@example.com"
],
"subject": "Dashboard Report",
"message": "Lookit",
"time": 1551887386704,
"theme": "dark",
"timezone": "America/New_York",
"locale": "en-us"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"toEmail":["email@example.com"],"subject":"Dashboard Report","message":"Lookit","time":1551887386704,"theme":"dark","timezone":"America/New_York","locale":"en-us"}' \
https://api.app.wnology.io/applications/APPLICATION_ID/dashboards/DASHBOARD_ID

Successful Responses​

CodeTypeDescription
202Job Enqueued API ResultIf dashboard report was enqueued to be sent

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if dashboard was not found

Schemas​

Dashboard​

Schema for a single Dashboard

Dashboard Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 25 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 3 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 3 keys
                                  • ▶
                                    {} 3 keys
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 3 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 2 keys
                                            • ▶
                                              {} 2 keys
                                              • ▶
                                                {} 1 key
                                                • ▶
                                                  {} 1 key
                                                  • ▶
                                                    {} 3 keys
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 3 keys

                                                    Dashboard Example​

                                                    • ▶
                                                      {} 20 keys
                                                      • "575ece2b7ae143cd83dc4a9b"
                                                      • "575ece2b7ae143cd83dc4a9b"
                                                      • "2016-06-13T04:00:00.000Z"
                                                      • "2016-06-13T04:00:00.000Z"
                                                      • "Example Org"
                                                      • "#284fff"
                                                      • "organization"
                                                      • "58238ff2fe7b4b01009a0554"
                                                      • "My Dashboard"
                                                      • "The best dashboard description"
                                                      • 60
                                                      • false
                                                      • false
                                                      • "light"
                                                      • [] 0 items
                                                        • 600000
                                                        • 6000
                                                        • "admin"
                                                        • ▶
                                                          [] 1 item
                                                          • ▶
                                                            [] 5 items

                                                          Dashboard Patch​

                                                          Schema for the body of a Dashboard modification request

                                                          Dashboard Patch Schema​

                                                          • ▶
                                                            {} 4 keys
                                                            • "http://json-schema.org/draft-07/schema#"
                                                            • "object"
                                                            • ▶
                                                              {} 11 keys
                                                              • ▶
                                                                {} 3 keys
                                                                • ▶
                                                                  {} 2 keys
                                                                  • ▶
                                                                    {} 3 keys
                                                                    • ▶
                                                                      {} 2 keys
                                                                      • ▶
                                                                        {} 3 keys
                                                                        • ▶
                                                                          {} 2 keys
                                                                          • ▶
                                                                            {} 2 keys
                                                                            • ▶
                                                                              {} 2 keys
                                                                              • ▶
                                                                                {} 1 key
                                                                                • ▶
                                                                                  {} 1 key
                                                                                  • ▶
                                                                                    {} 3 keys
                                                                                  • false

                                                                                Dashboard Patch Example​

                                                                                • ▶
                                                                                  {} 4 keys
                                                                                  • "My Updated Dashboard"
                                                                                  • "Description of my updated dashboard"
                                                                                  • 300
                                                                                  • true

                                                                                Dashboard Send Report​

                                                                                Schema for the body of a Dashboard report request

                                                                                Dashboard Send Report Schema​

                                                                                • ▶
                                                                                  {} 5 keys
                                                                                  • "http://json-schema.org/draft-07/schema#"
                                                                                  • "object"
                                                                                  • ▶
                                                                                    {} 10 keys
                                                                                    • ▶
                                                                                      {} 4 keys
                                                                                      • ▶
                                                                                        {} 3 keys
                                                                                        • ▶
                                                                                          {} 2 keys
                                                                                          • ▶
                                                                                            {} 2 keys
                                                                                            • ▶
                                                                                              {} 2 keys
                                                                                              • ▶
                                                                                                {} 1 key
                                                                                                • ▶
                                                                                                  {} 2 keys
                                                                                                  • ▶
                                                                                                    {} 2 keys
                                                                                                    • ▶
                                                                                                      {} 5 keys
                                                                                                      • ▶
                                                                                                        {} 1 key
                                                                                                      • ▶
                                                                                                        [] 2 items
                                                                                                        • false

                                                                                                      Dashboard Send Report Example​

                                                                                                      • ▶
                                                                                                        {} 7 keys
                                                                                                        • ▶
                                                                                                          [] 1 item
                                                                                                          • "Dashboard Report"
                                                                                                          • "Lookit"
                                                                                                          • 1551887386704
                                                                                                          • "dark"
                                                                                                          • "America/New_York"
                                                                                                          • "en-us"

                                                                                                        Error​

                                                                                                        Schema for errors returned by the API

                                                                                                        Error Schema​

                                                                                                        • ▶
                                                                                                          {} 3 keys
                                                                                                          • "http://json-schema.org/draft-07/schema#"
                                                                                                          • "object"
                                                                                                          • ▶
                                                                                                            {} 2 keys
                                                                                                            • ▶
                                                                                                              {} 1 key
                                                                                                              • ▶
                                                                                                                {} 1 key

                                                                                                            Error Example​

                                                                                                            • ▶
                                                                                                              {} 2 keys
                                                                                                              • "NotFound"
                                                                                                              • "Application was not found"

                                                                                                            Job Enqueued API Result​

                                                                                                            Schema for the result of a job being queued

                                                                                                            Job Enqueued API Result Schema​

                                                                                                            • ▶
                                                                                                              {} 3 keys
                                                                                                              • "http://json-schema.org/draft-07/schema#"
                                                                                                              • "object"
                                                                                                              • ▶
                                                                                                                {} 3 keys
                                                                                                                • ▶
                                                                                                                  {} 2 keys
                                                                                                                  • ▶
                                                                                                                    {} 2 keys
                                                                                                                    • ▶
                                                                                                                      {} 2 keys

                                                                                                                  Job Enqueued API Result Example​

                                                                                                                  • ▶
                                                                                                                    {} 3 keys
                                                                                                                    • true
                                                                                                                    • "clnHvJbyVkOWAZwYAwLP4"
                                                                                                                    • true

                                                                                                                  Success​

                                                                                                                  Schema for reporting a successful operation

                                                                                                                  Success Schema​

                                                                                                                  • ▶
                                                                                                                    {} 3 keys
                                                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                                                    • "object"
                                                                                                                    • ▶
                                                                                                                      {} 1 key
                                                                                                                      • ▶
                                                                                                                        {} 2 keys

                                                                                                                    Success Example​

                                                                                                                    • ▶
                                                                                                                      {} 1 key
                                                                                                                      • true

                                                                                                                    Was this page helpful?


                                                                                                                    Still looking for help? You can also search the WEGnology Forums or submit your question there.